import * as firebase from 'firebase-admin';
export declare function apps(): apps.Apps;
export declare namespace apps {
    /** @hidden */
    const garbageCollectionInterval: number;
    /** @hidden */
    function delay(delay: number): Promise<unknown>;
    let singleton: apps.Apps;
    let init: () => Apps;
    interface AuthMode {
        admin: boolean;
        variable?: any;
    }
    /** @hidden */
    interface RefCounter {
        [appName: string]: number;
    }
    class Apps {
        private _refCounter;
        constructor();
        _appAlive(appName: string): boolean;
        _destroyApp(appName: string): void;
        retain(): void;
        release(): Promise<void>;
        readonly admin: firebase.app.App;
        private readonly firebaseArgs;
    }
}
